<template>
  <section section="what_is_it" class="ws__container">
    <div class="ws__picture_side">
      <responsive-picture name="whatisit" class="ws__background" />
    </div>
    <div class="ws__description_side">
      <div class="ws__block">
        <div class="wa__description_side-title">
          {{ $t('app.home.whatisit.title') }}
        </div>
        <div class="wa__description_side-description">
          <itl-component i18n-key="app.home.whatisit.description" />
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import ItlComponent from '@components/common/I18n.vue';
import ResponsivePicture from '@components/common/ResponsivePicture.vue';

export default {
  name: 'WhatIsIt',
  components: {
    ItlComponent,
    ResponsivePicture,
  },
};
</script>

<style lang="scss" scoped>
.ws__container {
  @include desktop {
    height: 100vh;
    @include flex(row, flex-start, center);
  }
  @include mobile {
    @include flex(column, flex-start, center);
  }
}

.ws__picture_side {
  position: relative;
  @include desktop {
    width: 50%;
    height: 100%;
  }
  @include mobile {
    width: 100%;
    height: 400px;
  }
}

.ws__background, /deep/ img {
  position: absolute;
  z-index: -1;
  object-fit: cover;
  width: 100%;
  height: 100%;
  margin: 0;
}

// right
.ws__description_side {
  background-color: #C0ABA5;
  @include desktop {
    width: 50%;
    height: 100%;
    @include flex(row, center, center);
  }
  @include mobile {
    width: 100%;
    @include flex(column, center, center);
  }
}

.ws__block {
  width: 80%;
  height: 100%;
  @include flex(column, center, flex-start);
}

.wa__description_side-title {
  font-size: 2rem;
  font-weight: bold;
  color: white;
  @include mobile {
    text-align: center;
    margin-top: 2rem;
  }
}

.wa__description_side-description {
  margin-top: 2rem;
  font-size: 1.4rem;
  color: white;
  @include mobile {
    text-align: center;
  }
}
</style>
